01/05/2016 08:33 AM - Sachin Ghai

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Templates   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1319630 Red Hat JIRA:  

Pull request: https://github.com/theforeman/communit

y-templates/pull/251

  

Description

I was trying to test the new networking layout and provision a rhel7.2 host with one primary and one provisioning interface. Primary

interface is defined on static subnet(192.168.110.x). So I created alias and vlan interfaces on same subnet. Host was provisioned

successfully but when I checked the interfaces and found only eth1 and eth0.

Later, I checked the config files and looks like networking snippet is creating config files with incorrect device name like:

ifcfg-:0 (for alias interface)

and ifcfg-.1(for vlan)

Please see the attached screenshot that shows the config files with incorrect DEVICE name. Also ENC output .

Associated revisions

Revision 673a05b3 - 03/25/2016 12:27 PM - Marek Hulán

Fixes #13000 - use inheriting_mac to support virtual interfaces

closes GH-251

History

#1 - 01/05/2016 08:36 AM - Sachin Ghai

Note: I'm using a month old build.

foreman-1.11.0-0.develop.201512091815git0e9b35e.el7.noarch

#2 - 03/21/2016 05:08 AM - Marek Hulán

- Category changed from Network to Templates

- Status changed from New to Assigned

- Assignee set to Marek Hulán

#3 - 03/21/2016 05:09 AM - Marek Hulán

- Bugzilla link set to 1319630

#4 - 03/21/2016 05:11 AM - Marek Hulán

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/community-templates/pull/251 added

#5 - 03/25/2016 01:01 PM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset community-templates|673a05b33c3efcb2db4bf29306a7086a22f5e43f.
https://projects.theforeman.org/projects/foreman/repository/community-templates/revisions/673a05b33c3efcb2db4bf29306a7086a22f5e43f


#6 - 03/29/2016 04:10 AM - Dominic Cleal

- translation missing: en.field_release set to 136

Files

alias_vlan_nic.png 40 KB 01/05/2016 Sachin Ghai

interface_yml.txt 1.5 KB 01/05/2016 Sachin Ghai
